=== debian/control ===
Source: flextra
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-fortran-mod (>= 0.55),
  gfortran | fortran-compiler,
  libeccodes-dev (>= 2.30.2-2),
Standards-Version: 4.7.2
Homepage: https://flexpart.eu/
Vcs-Browser: https://salsa.debian.org/science-team/flextra.git
Vcs-Git: https://salsa.debian.org/science-team/flextra.git -b debian/latest

Package: flextra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Trajectory model for tracing air transport phenomena
 Trajectory models are important tools for studying transport phenomena
 in the atmosphere. In the environmental sciences, they are often used to
 establish source-receptor relationships of air pollutants.
 .
 FLEXTRA can be used to calculate different types of forward or backward
 trajectories, and has facilities to estimate the uncertainty of trajectories. 
 It is specifically designed to compute long time sequences of trajectories
 for many receptor locations.
 .
 FLEXTRA may be used with the Metview meteorological workstation to
 visualize trajectories.
