=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Hack until gfortran updated
FMODDIR:= $(shell dh_fortran get_fmoddir)
FLIBDIR:=$(shell dh_fortran get_flibdir)
FCFLAGS:= -I$(FMODDIR)

CFLAGS=$(shell dpkg-buildflags --get CFLAGS) -g
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS) -L $(FLIBDIR)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)

LC_ALL=C
export LC_ALL

# magic debhelper rule
%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f makefile.ecmwf LDFLAGS="$(LDFLAGS)" FCFLAGS="$(FCFLAGS)" FC=$(FC)
	rm *.o
	$(MAKE) -f makefile.gfs  LDFLAGS="$(LDFLAGS)" FCFLAGS="$(FCFLAGS)" FC=$(FC)


override_dh_auto_clean:
	rm -f *.o flextra.ecmwf flextra.gfs
