=== debian/watch ===
version=3
http://zardoz.nilu.no/~andreas/flextra/FLEXTRA_(\d)(\d).tar.gz
